Page MenuHomePhabricator

API: adrprefix gives invalid title error for valid titles
Closed, ResolvedPublic

Description

Version: 1.25wmf8 (rMW9a59599218ea) 08:39, 21 November 2014

Steps to reproduce:

  1. Go to https://en.wikipedia.org/w/api.php?action=query&list=alldeletedrevisions&adrprefix=Hello

Expected behaviour: API version of https://en.wikipedia.org/w/index.php?title=Special%3AUndelete&prefix=Hello
Actual behaviour: the following error message

"error": {
     "code": "adrinvalidtitle",
     "info": "Bad title \"Hello\"",
     "*": "See https://en.wikipedia.org/w/api.php for API usage"
}

Error seems unrelated to the title (I also tried "A", "hello" and ":Hello" and specified adrnamespace=0).

Details

Event Timeline

MER-C created this task.Nov 24 2014, 5:31 AM
MER-C raised the priority of this task from to Needs Triage.
MER-C updated the task description. (Show Details)
MER-C added a project: MediaWiki-API.
MER-C changed Security from none to None.
MER-C added a subscriber: MER-C.

Change 175439 had a related patch set uploaded (by Anomie):
API: Fix namespace handling in list=alldeletedrevs with from/to/predix

https://gerrit.wikimedia.org/r/175439

Patch-For-Review

Anomie claimed this task.Nov 24 2014, 3:21 PM
Anomie added a project: MediaWiki-Core-Team.
Anomie moved this task from Backlog to Needs Review/Feedback on the MediaWiki-Core-Team board.

Change 175439 merged by jenkins-bot:
API: Fix namespace handling in list=alldeletedrevs with from/to/predix

https://gerrit.wikimedia.org/r/175439

This should be deployed to WMF wikis with 1.25wmf10, see https://www.mediawiki.org/wiki/MediaWiki_1.25/Roadmap for the schedule.

bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Nov 25 2014, 8:41 PM